eoSelBinGenOp(3)

NAME
eoSelBinGenOp - wrapper for eoBinOp with a selector

SYNOPSIS

#include <eoGenOp.h>

Inherits eoGenOp< EOT >< EOT >.

  Public Member Functions
eoSelBinGenOp (eoBinOp< EOT > &_op, eoSelectOne< EOT > &_sel)
unsigned max_production (void)
Max production is used to reserve space for all elements that are used by the operator, not setting it properly can result in a crash.
void apply (eoPopulator< EOT > &_pop)
the function that will do the work
virtual std::string className () const

  Private Attributes
eoBinOp< EOT > & op
eoSelectOne< EOT > & sel

Detailed Description

  template<class EOT> class eoSelBinGenOp< EOT >
wrapper for eoBinOp with a selector

Definition at line 133 of file eoGenOp.h.

Author

Generated automatically by Doxygen for EO from the source code.